> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count workflow executions matching filter



## OpenAPI

````yaml /openapi/workflows.json post /workflows/executions/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/executions/count:
    post:
      tags:
        - Workflows
      summary: Count workflow executions matching filter
      operationId: workflows.executions.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    workflowId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Workflow ID
                    triggerType:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Trigger Type
                    entityType:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Entity Type
                    entityId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Entity ID
                    status:
                      anyOf:
                        - enum:
                            - running
                            - waiting_for_input
                            - completed
                            - errored
                            - timed_out
                            - cancelled
                            - abandoned
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - running
                                - waiting_for_input
                                - completed
                                - errored
                                - timed_out
                                - cancelled
                                - abandoned
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - running
                                  - waiting_for_input
                                  - completed
                                  - errored
                                  - timed_out
                                  - cancelled
                                  - abandoned
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - running
                                  - waiting_for_input
                                  - completed
                                  - errored
                                  - timed_out
                                  - cancelled
                                  - abandoned
                                type: string
                      description: Status
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    initiatedBy:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Initiated By
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````